ata_scsi_rbuf_get
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_scsi_rbuf_get — Map response buffer.

## Synopsis

`unsigned int ata_scsi_rbuf_get (` | struct scsi_cmnd * | cmd,
| u8 ** | buf_out`)`;

## Arguments

`cmd`

  SCSI command containing buffer to be mapped.

`buf_out`

  Pointer to mapped area.

## Description

Maps buffer contained within SCSI command `cmd`.

## LOCKING

spin_lock_irqsave(host lock)

## RETURNS

Length of response buffer.

Prev | Up | Next
ata_scsi_translate | Home | ata_scsi_rbuf_put